> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un article

> Crée un article.

Crée un article.

```json Corps de la requête theme={null}
{
  "articleCode": "CAM-PEEK-40",
  "name": "Came PEEK Ø40",
  "unit": "pce"
}
```


## OpenAPI

````yaml openapi.json POST /articles
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /articles:
    post:
      summary: Create an article
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: >-
            _"articleCode" is required (enter it either in parameters or request
            body)_
          in: query
          name: articleCode
          required: true
          schema:
            type: string
        - description: _"name" is required (enter it either in parameters or request body)_
          in: query
          name: name
          required: true
          schema:
            type: string
        - in: query
          name: unit
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                articleCode:
                  nullable: false
                  type: string
                name:
                  nullable: false
                  type: string
                unit:
                  nullable: true
                  type: string
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  insertArticlesOne:
                    description: >-
                      Articles with physical reality (= manage-able in stock).
                      This table includes all article types (raw materials,
                      semi-finished, finished products, consumables, etc.)
                    nullable: true
                    properties:
                      code:
                        nullable: true
                        type: string
                      id:
                        nullable: false
                        type: integer
                      name:
                        nullable: false
                        type: string
                      status:
                        $ref: '#/components/schemas/article_status'
                      type:
                        nullable: true
                        type: string
                      unit:
                        nullable: true
                        type: string
                    type: object
          description: Response
components:
  schemas:
    article_status:
      nullable: false

````